Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.infobrightoutput
Class KettleValueConverter

    java.lang.Object
      org.pentaho.di.trans.steps.infobrightoutput.KettleValueConverter

All Implemented Interfaces:
  com.infobright.etl.model.ValueConverter

    public class KettleValueConverter

extends Object
implements com.infobright.etl.model.ValueConverter

Wraps a Kettle ValueMetaInterface in a portable way.

Author:
  geoffrey.falk@infobright.com

Constructor Summary
`KettleValueConverter(org.pentaho.di.core.row.ValueMetaInterface meta)`

Method Summary
`BigDecimal` | `getBigNumber(Object object)`
`byte[]` | `getBinary(Object object)`
`byte[]` | `getBinaryString(Object object)`
`Boolean` | `getBoolean(Object object)`
`Date` | `getDate(Object object)`
`Long` | `getInteger(Object object)`
`Double` | `getNumber(Object object)`
`String` | `getString(Object object)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KettleValueConverter

    public KettleValueConverter(org.pentaho.di.core.row.ValueMetaInterface meta)

Method Detail

### getBigNumber

    public BigDecimal getBigNumber(Object object)
                            throws com.infobright.etl.model.ValueConverterException

  Specified by:
    `getBigNumber` in interface `com.infobright.etl.model.ValueConverter`
  Throws:
    `com.infobright.etl.model.ValueConverterException`

### getBinary

    public byte[] getBinary(Object object)
                     throws com.infobright.etl.model.ValueConverterException

  Specified by:
    `getBinary` in interface `com.infobright.etl.model.ValueConverter`
  Throws:
    `com.infobright.etl.model.ValueConverterException`

### getBinaryString

    public byte[] getBinaryString(Object object)
                           throws com.infobright.etl.model.ValueConverterException

  Specified by:
    `getBinaryString` in interface `com.infobright.etl.model.ValueConverter`
  Throws:
    `com.infobright.etl.model.ValueConverterException`

### getBoolean

    public Boolean getBoolean(Object object)
                       throws com.infobright.etl.model.ValueConverterException

  Specified by:
    `getBoolean` in interface `com.infobright.etl.model.ValueConverter`
  Throws:
    `com.infobright.etl.model.ValueConverterException`

### getDate

    public Date getDate(Object object)
                 throws com.infobright.etl.model.ValueConverterException

  Specified by:
    `getDate` in interface `com.infobright.etl.model.ValueConverter`
  Throws:
    `com.infobright.etl.model.ValueConverterException`

### getInteger

    public Long getInteger(Object object)
                    throws com.infobright.etl.model.ValueConverterException

  Specified by:
    `getInteger` in interface `com.infobright.etl.model.ValueConverter`
  Throws:
    `com.infobright.etl.model.ValueConverterException`

### getNumber

    public Double getNumber(Object object)
                     throws com.infobright.etl.model.ValueConverterException

  Specified by:
    `getNumber` in interface `com.infobright.etl.model.ValueConverter`
  Throws:
    `com.infobright.etl.model.ValueConverterException`

### getString

    public String getString(Object object)
                     throws com.infobright.etl.model.ValueConverterException

  Specified by:
    `getString` in interface `com.infobright.etl.model.ValueConverter`
  Throws:
    `com.infobright.etl.model.ValueConverterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD